[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EIntfCastError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Invalid interface cast error.

## Declaration

Source position: sysutilh.inc line 188

`type EIntfCastError = class(Exception) ;`

## Inheritance

`EIntfCastError` |  | Invalid interface cast error.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

EIntfCastError is raised when an invalid interface cast is encountered.

## See also

EInvalidCast |  | Invalid typecast error.

Documentation generated on: Feb 26 2014